Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.3.5
Release:	1%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.3/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	chrpath
BuildRequires:	clutter-cairo-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libsoup-devel
BuildRequires:	sqlite-devel

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

%if 0%{?fc10}
Requires:	clutter-devel
Requires:	pkgconfig
%endif

Requires:	gtk-doc
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package gtk
Summary:	Gtk+ widget wrapper for %{name}
Group:		System Environment/Libraries

Requires:	%{name} = %{version}-%{release}

%description gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%package gtk-devel
Summary:	Development files for %{name}-gtk
Group:		Development/Libraries

%if 0%{?fc10}
Requires:	gtk2-devel
Requires:	pkgconfig
%endif

Requires:	gtk-doc
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}

%description gtk-devel
This package contains development files for %{name}-gtk.

%prep
%setup -q

%build
%configure --disable-static --enable-gtk --enable-gtk-doc \
  --enable-introspection=no

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libchamplain-gtk-0.3.so.2.0.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/%{name}-0.3.so.*

%files devel
%defattr(-,root,root,-)
%doc demos/animated-marker.c
%doc demos/launcher.c
%doc demos/polygons.c
%{_libdir}/%{name}-0.3.so
%{_libdir}/pkgconfig/champlain-0.3.pc

%dir %{_datadir}/gtk-doc/html/libchamplain
%doc %{_datadir}/gtk-doc/html/libchamplain/*

%dir %{_includedir}/%{name}-0.3
%{_includedir}/%{name}-0.3/champlain

%files gtk
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk-0.3.so.*

%files gtk-devel
%defattr(-,root,root,-)
%doc demos/launcher-gtk.c
%doc demos/markers.c
%{_libdir}/%{name}-gtk-0.3.so
%{_libdir}/pkgconfig/champlain-gtk-0.3.pc

%dir %{_datadir}/gtk-doc/html/libchamplain-gtk
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk/*

%dir %{_includedir}/%{name}-gtk-0.3
%{_includedir}/%{name}-gtk-0.3/champlain-gtk

%changelog
* Sun Aug 02 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.3.5-1
- Version bump to 0.3.5. (Red Hat Bugzilla #510945)
  * Soname bumped to 2.0.1.
  * Marker selection API. (GNOME Bugzilla #577909)
  * http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.3/libchamplain-0.3.5.news
  * http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.3/libchamplain-0.3.4.news
  * http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.3/libchamplain-0.3.5.changes
  * http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.3/libchamplain-0.3.4.changes

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.3.3-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.3.3-1
- Version bump to 0.3.3.
  * Support for custom map sources and listing available map sources.
  * Smooth movement to a new position. (GNOME Bugzilla #557641)
  * Keep the center of the map in the center after a resize. (GNOME Bugzilla
    #557642)
  * Double click to zoom and center. (GNOME Bugzilla #557644)
  * Added a way to know the maximum and minimum zoom level. (GNOME Bugzilla
    #557965)
  * Fixed unwanted wrap effect when panning at zoom level >= 8. (GNOME
    Bugzilla #558020)
  * Fixed center on and zooming in behavior. (GNOME Bugzilla #558026)
  * Lack of user feedback during loading of tiles. (GNOME Bugzilla #559522)
  * Added missing zoom level to OpenStreetMap Mapnik. (GNOME Bugzilla
    #559446)
  * Fixed wrong elastic effect affecting Emapthy's map view. (GNOME Bugzilla
    #561700)
  * Added disk cache management. (GNOME Bugzillla #568931)
  * Host application should be able to limit the maximum and minimum zoom
    levels. (GNOME Bugzilla #571702)
  * Allow host applications to draw lines/routes on the map. (GNOME Bugzilla
    #572377)
  * Support proxies. (GNOME Bugzilla #573937)
  * Provide a way to make visible a bunch of markers. (GNOME Bugzilla #574809)
  * Do not allow negative zoom levels. (GNOME Bugzilla #575138)
  * Fixed corrupted map when double-clicking at maximum level. (GNOME Bugzilla
    #575139)
  * Prevent ChamplainNetworkMapSource from crashing when setting "proxy-uri".
    (GNOME Bugzilla #575902).
  * Implemented advanced markers. (GNOME Bugzilla #576055)
  * Various memory management fixes for ChamplainTile. (GNOME Bugzilla
    #576159)
  * Any go_to should stop a previous and not yet finished go_to. (GNOME
    Bugzilla #576832)
  * Prevent segmentation fault on 32 bit platforms. (GNOME Bugzilla #576698)
  * Introduced a new signal called ChamplainView::animation-completed. (GNOME
    Bugzilla #577169)
  * Set decel-rate correctly. (GNOME Bugzilla #580785)
  * champlain_network_map_source_fill_tile should be private. (GNOME Bugzilla
    #582786)
  * Fixed champlain_view_center_on. (GNOME Bugzilla #583502)
  * Fixed "longitude" and "latitude" properties, which were reversed. (GNOME
    Bugzilla #584365)
  * Make the cache work the first time. (GNOME Bugzilla #584390)
  * GNOME Goal: use accessor functions instead direct access. (GNOME Bugzilla
    #585698)
- Added 'BuildRequires: chrpath' for removing rpaths.

* Wed Mar 18 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.9-1
- Version bump to 0.2.9.
  * Fixed elastic effect.
  * Reduced exported symbols.

* Wed Feb 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.2.8-3
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-2
- Removed 'Requires: clutter-devel >= 0.8 pkgconfig' from libchamplain-devel
  for all distributions, except Fedora 10.
- Fixed sample code to not use generic headers.

* Wed Jan 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-1
- Initial build. Imported SPEC from openSUSE.
  * Added a new constructor for ChamplainMarkers made of an image.
  * Double clicking on the map will now zoom and recenter.
  * When resizing a ChamplainView, the centered content will still be
    centered after the resizing. Can be disabled.
  * The Map's license is displayed by default on the lower right corner. 
  * Fixed map centering on startup.
  * Fixed missing zoom level in OpenStreetMap Mapnik.
  * Fixed zooming and centering behaviour. (GNOME Bugzilla #558026)
